Scalable OGo (SOGo)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004325SOGoWeb Calendarpublic2017-10-25 06:562017-11-17 10:58
Reporterchrizz 
Assigned Tofrancis 
PriorityhighSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.2.10 
Target VersionFixed in Version3.2.11 
Summary0004325: Yearly day event not shown in web gui
DescriptionEvents with a yearly repeating rule, e.g. birthdays, are not shown in web calendar
Steps To Reproducelogin to http://demo.sogo.nu/SOGo/ [^] and create a daylong event with yearly repition.
Additional InformationDatabase entries seem to be correct.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
duplicate of 0004237resolvedludovic yearly repeating events are not shown in web calendar 

-  Notes
User avatar (0012417)
francis (administrator)
2017-11-06 12:23

I can't reproduce the issue.
(0012430)
asl (reporter)
2017-11-14 01:31

Same issue here. I can confirm this bug.
To reproduce it the event needs to be a hole day event. It happens on yearly events but also on monthly and I assume on other cycles, too.
User avatar (0012431)
ludovic (administrator)
2017-11-14 06:55

Show the complete list of installed SOGo *and* SOPE packages.
(0012432)
asl (reporter)
2017-11-14 08:47

Hope this is what you need:


yum info SOPE*
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile
Installed Packages
Name : sope49-appserver
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 4.6 M
Repo : installed
From repo : nethforge
Summary : SOPE application server libraries
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : The SOPE application server libraries provide:
            :
            : * template rendering engine, lots of dynamic elements
            : * HTTP client/server
            : * XML-RPC client
            : * WebDAV server framework
            : * session management
            : * scripting extensions for Foundation, JavaScript bridge
            : * DOM tree rendering library
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

Name : sope49-cards
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 648 k
Repo : installed
From repo : nethforge
Summary : SOPE versit parsing library for iCal and VCard formats
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : SOPE versit parsing library for iCal and VCard formats

Name : sope49-core
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 1.6 M
Repo : installed
From repo : nethforge
Summary : Core libraries of the SOPE application server
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : The SOPE core libraries contain:
            :
            : * various Foundation extensions
            : * a java.io like stream and socket library
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

Name : sope49-gdl1
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 780 k
Repo : installed
From repo : nethforge
Summary : GNUstep database libraries for SOPE
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : This package contains a fork of the GNUstep database libraries used
            : by the SOPE application server (excluding GDLContentStore).
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

Name : sope49-gdl1-contentstore
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 262 k
Repo : installed
From repo : nethforge
Summary : Storage backend for folder abstraction.
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : The storage backend implements the "low level" folder abstraction, which is
            : basically an arbitary "BLOB" containing some document.
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

Name : sope49-gdl1-mysql
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 139 k
Repo : installed
From repo : nethforge
Summary : MySQL connector for SOPE's fork of the GNUstep database environment
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : This package contains the MySQL connector for SOPE's fork of the
            : GNUstep database libraries.

Name : sope49-ldap
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 208 k
Repo : installed
From repo : nethforge
Summary : SOPE libraries for LDAP access
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : The SOPE libraries for LDAP access contain an Objective-C wrapper for
            : LDAP directory services.
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

Name : sope49-mime
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 1.4 M
Repo : installed
From repo : nethforge
Summary : SOPE libraries for MIME processing
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : The SOPE libraries for MIME processing contain:
            :
            : * classes for processing MIME entities
            : * a full IMAP4 implementation
            : * prototypical POP3 and SMTP processor
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

Name : sope49-sbjson
Arch : x86_64
Version : 2.3.1
Release : 20170216_2300.ns7
Size : 55 k
Repo : installed
From repo : nethforge
Summary : JSON framework
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : The SBJson library is a high performance JSON library in Objective-C.
            :
            : Project homepage is: http://code.google.com/p/json-framework/ [^]

Name : sope49-xml
Arch : x86_64
Version : 4.9
Release : 20170216_2300.ns7
Size : 970 k
Repo : installed
From repo : nethforge
Summary : SOPE libraries for XML processing
URL : https://github.com/inverse-inc/sope [^]
License : GPL
Description : The SOPE libraries for XML processing contain:
            :
            : * a SAX2 Implementation for Objective-C
            : * an attempt to implement DOM on top of SaxObjC
            : * an XML-RPC implementation (without a transport layer)
            :
            : SOPE is a framework for developing web applications and services. The
            : name "SOPE" (SKYRiX Object Publishing Environment) is inspired by ZOPE.

yum info SOGo
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile
Installed Packages
Name : sogo
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 50 M
Repo : installed
From repo : nethforge
Summary : SOGo
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : SOGo is a groupware server built around OpenGroupware.org (OGo) and
            : the SOPE application server. It focuses on scalability.
            :
            : The Inverse edition of this project has many feature enhancements:
            : - CalDAV and GroupDAV compliance
            : - full handling of vCard as well as vCalendar/iCalendar formats
            : - support for folder sharing and ACLs
            :
            : The Web interface has been rewritten in an AJAX fashion to provided a faster
            : UI for the users, consistency in look and feel with the Mozilla applications,
            : and to reduce the load of the transactions on the server.

[root@ds1 ~]# yum info SOGo*
Loaded plugins: changelog, fastestmirror, nethserver_events
Loading mirror speeds from cached hostfile
Installed Packages
Name : sogo
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 50 M
Repo : installed
From repo : nethforge
Summary : SOGo
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : SOGo is a groupware server built around OpenGroupware.org (OGo) and
            : the SOPE application server. It focuses on scalability.
            :
            : The Inverse edition of this project has many feature enhancements:
            : - CalDAV and GroupDAV compliance
            : - full handling of vCard as well as vCalendar/iCalendar formats
            : - support for folder sharing and ACLs
            :
            : The Web interface has been rewritten in an AJAX fashion to provided a faster
            : UI for the users, consistency in look and feel with the Mozilla applications,
            : and to reduce the load of the transactions on the server.

Name : sogo-activesync
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 543 k
Repo : installed
From repo : nethforge
Summary : SOGo module to handle ActiveSync requests
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : SOGo module to handle ActiveSync requests

Name : sogo-debuginfo
Arch : x86_64
Version : 3.2.9
Release : 1.ns7
Size : 8.6 M
Repo : installed
From repo : nethforge
Summary : Debug information for package sogo
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : This package provides debug information for package sogo.
            : Debug information is useful when developing applications that use this
            : package or when debugging this package.

Name : sogo-ealarms-notify
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 31 k
Repo : installed
From repo : nethforge
Summary : SOGo utility for executing email alarms
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : SOGo utility executed each minute via a cronjob for executing email alarms.

Name : sogo-tool
Arch : x86_64
Version : 3.2.10
Release : 1.ns7
Size : 192 k
Repo : installed
From repo : nethforge
Summary : Command-line toolsuite for SOGo
URL : http://www.inverse.ca/contributions/sogo.html [^]
License : GPL
Description : Administrative tool for SOGo that provides the following internal commands:
            : backup -- backup user folders
            : restore -- restore user folders
            : remove-doubles -- remove duplicate contacts from the user addressbooks
            : check-doubles -- list user addressbooks with duplicate contacts
(0012433)
asl (reporter)
2017-11-14 09:25

same as 0004237 it looks like

- Issue History
Date Modified Username Field Change
2017-10-25 06:56 chrizz New Issue
2017-11-06 12:23 francis Note Added: 0012417
2017-11-14 01:31 asl Note Added: 0012430
2017-11-14 06:32 francis Relationship added duplicate of 0004237
2017-11-14 06:55 ludovic Note Added: 0012431
2017-11-14 08:47 asl Note Added: 0012432
2017-11-14 09:25 asl Note Added: 0012433
2017-11-17 10:58 francis Status new => resolved
2017-11-17 10:58 francis Fixed in Version => 3.2.11
2017-11-17 10:58 francis Resolution open => fixed
2017-11-17 10:58 francis Assigned To => francis


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker